### Method

# EvinceView JobLoadFd set_fd

since: 42.0

#### Declaration [src]

    gboolean
    ev_job_load_fd_set_fd (
      EvJobLoadFd* job,
      int fd,
      GError** error
    )

#### Description [src]

Sets `fd` as the file descriptor in `job`. If duplicating `fd` fails, returns `FALSE` with `error` filled in.

Available since: 42.0

#### Parameters

`fd`

  Type: `int`

  A file descriptor.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the file descriptor could be set.